- Qt 5.5
- Qt3D Module
- C++ Classes
- QFixedFrameAllocator
- Qt 5.5.1 Reference Documentation

# QFixedFrameAllocator Class

(Qt3D::QFixedFrameAllocator)

- List of all members, including inherited members

## Public Functions

| QFixedFrameAllocator()
| ~QFixedFrameAllocator()
void * | allocate()
uint | blockSize() const
int | chunkCount() const
void | clear()
void | deallocate(void * ptr)
void | init(uint blockSize, uchar pageSize = 128)
bool | isEmpty() const
uchar | pageSize() const
void | release()
void | trim()

## Member Function Documentation

### QFixedFrameAllocator::QFixedFrameAllocator()

### QFixedFrameAllocator::~QFixedFrameAllocator()

### void * QFixedFrameAllocator::allocate()

### uint QFixedFrameAllocator::blockSize() const

### int QFixedFrameAllocator::chunkCount() const

### void QFixedFrameAllocator::clear()

### void QFixedFrameAllocator::deallocate(void * ptr)

### void QFixedFrameAllocator::init(uint blockSize, uchar pageSize = 128)

### bool QFixedFrameAllocator::isEmpty() const

### uchar QFixedFrameAllocator::pageSize() const

### void QFixedFrameAllocator::release()

### void QFixedFrameAllocator::trim()